# Cities Skylines 2 : Realistic Population
- Changes the calculation for residential, commercial, industrial and office capacities to be a little more reflective of real world while trying to not overload the simulation.
- Allocation of housing is now front loaded, so that level 1 has most of households, with increases being small there after.
- Lowered household counts for signature buildings with large footprints
- Row houses have vastly lesser households than usual.
- Industrial and commercial buildings have small capacity boosts.
- Offices have variable multipliers, ranging from small boosts to 2x2 buildings to large multipliers to 6x6 plots.

## Instructions
No setting available, something that can be added in the future.
Just follow the installation steps below.

### Caution when activating/removing
The following applies when activating or removing the mod.

Household counts will change on loading. Households over the building limit will leave/move away in time. If many households are added, expect a traffic jam.
Existing worker capacities are not affected. Only buildings that are added after the mod is active has their capacity changed.

#### Obtaining signature office buildings
As offices have a pseudo-height booster, based off the plot size, it is recommended to zone small plots for offices until you get the building. For example, to obtain the Stylus Tower which requires 12000 tiles of high density offices.
- With 2x2 or 2x3 high density offices, it will mean having up to 135,000 jobs.
- With 6x6  high density offices, it will mean having up to 675,000 jobs.
For reference, 12000 tiles is 0.768 sq km

## Requirements
- BepInEx 5

## Installation
1. Make sure that BepInEx 5 is installed.
1. Place the `WG_CS2_RealisticPopulation` folder in the archive in your BepInEx `Plugins` folder.

## Support
It's usually easiest to contact me at the [**Cities 2 modding Discord**](https://discord.gg/vNGN82Dgc7)

## Misc

### Source code
[Available on GitHub](https://github.com/WhitefangGreytail/CS2_RealisticPopulation) (WhitefangGreytail/CS2_RealisticPopulation).

Be wary of mods without publicly available source code, it's too easy to download executables from somewhere and find it has been changed. Even then, "Trust, but verify", would be the motto I would say here.

### Credits
    Thanks to captain_on_coit for the Git repo template
	Thanks to algernon-A for letting me use his readme as a reference


### Why even think about trusting me then?
Author of Realistic Population in Cities Skylines before handing it over to algernon-A. The repos in my GitHub still have them available for viewing.
I wanted to make this mod, primarily for myself. Did learn a few things about the corner I was interested in, comments in the code.

## Disclaimers and legal
The only authorized distribution platforms for this mod, or mods based substantially on the code of this mod, are the GitHub repo linked above, this Thunderstore.io upload, and Paradox Mods (that's the *actual* Paradox Mods at mods.paradoxplaza.com, not the **scam and malware site paradoxmods.net** which is explicitly NOT licensed to distribute any of my work, or works derived from my work).  Any version or copy of this mod that you encounter elsewhere is most likely being used as a vector for malware and should be ignored.

Downloading, installation, and use of this mod is at your own risk.

>This mod is Copyright 2024 Whitefang Greytail (github.com/WhitefangGreytail).  All rights reserved. This mod is publically free to use, but not to distribute and claim that it is me who is releasing the mod.

>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Enjoy!